Phone numbers
The phone number object
Attributes
idstringrequiredIdentifier for this resource.
display_phone_numberstringrequiredSpecifies display phone number for this graph graph phone number.
verified_namestringrequiredHuman-readable verified name for this graph graph phone number.
code_verification_statusstringrequiredSpecifies code verification status for this graph graph phone number.
quality_ratingstringrequiredSpecifies quality rating for this graph graph phone number.
platform_typestringrequiredCategory assigned to platform.
is_on_biz_appbooleanPresent for simulated Official API Test numbers:
truewhen the number also uses the WhatsApp Business app.throughputobjectrequiredStructured throughput values for this graph graph phone number.
Show 1 child field
{
"id": "string",
"display_phone_number": "string",
"verified_name": "string",
"code_verification_status": "string",
"quality_rating": "string",
"platform_type": "string",
"is_on_biz_app": true,
"throughput": {
"level": "string"
}
}List phone numbers
- Base URL
https://api.polymorfa.com- Required permission
sessions:read
Path parameters
versionstringrequiredSpecifies version for this path parameter.
wabaIdstringrequiredIdentifier for the waba.
Responses
200Phone numbers
dataarray of objectrequiredStructured data carried by this object.
Show 8 child fields
Show 3 headers
400Bad request
401Unauthenticated
403Permission error
404Object does not exist
429Rate limited
500Internal error
Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.
curl "https://api.polymorfa.com/graph/whatsapp/v26.0/<wabaId>/phone_numbers" \
-H "Authorization: Bearer YOUR_API_KEY"{
"data": [
{
"id": "string",
"display_phone_number": "string",
"verified_name": "string",
"code_verification_status": "string",
"quality_rating": "string",
"platform_type": "string",
"throughput": {
"level": "string"
}
}
]
}Register
- Base URL
https://api.polymorfa.com- Required permission
messages:write
Path parameters
versionstringrequiredSpecifies version for this path parameter.
phoneNumberIdstringrequiredIdentifier for the phone number.
Body
Responses
200Registered
Show 3 headers
400Bad request
401Unauthenticated
403Permission error
404Object does not exist
429Rate limited
500Internal error
Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.
curl -X POST "https://api.polymorfa.com/graph/whatsapp/v26.0/<phoneNumberId>/register" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d 'null'nullDeregister
- Base URL
https://api.polymorfa.com- Required permission
messages:write
Path parameters
versionstringrequiredSpecifies version for this path parameter.
phoneNumberIdstringrequiredIdentifier for the phone number.
Responses
200Deregistered
Show 3 headers
400Bad request
401Unauthenticated
403Permission error
404Object does not exist
429Rate limited
500Internal error
Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.
curl -X POST "https://api.polymorfa.com/graph/whatsapp/v26.0/<phoneNumberId>/deregister" \
-H "Authorization: Bearer YOUR_API_KEY"nullRequest code
- Base URL
https://api.polymorfa.com- Required permission
messages:write
Path parameters
versionstringrequiredSpecifies version for this path parameter.
phoneNumberIdstringrequiredIdentifier for the phone number.
Body
Responses
200Code requested
Show 3 headers
400Bad request
401Unauthenticated
403Permission error
404Object does not exist
429Rate limited
500Internal error
Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.
curl -X POST "https://api.polymorfa.com/graph/whatsapp/v26.0/<phoneNumberId>/request_code" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d 'null'nullVerify code
- Base URL
https://api.polymorfa.com- Required permission
messages:write
Path parameters
versionstringrequiredSpecifies version for this path parameter.
phoneNumberIdstringrequiredIdentifier for the phone number.
Body
Responses
200Verified
Show 3 headers
400Bad request
401Unauthenticated
403Permission error
404Object does not exist
429Rate limited
500Internal error
Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.
curl -X POST "https://api.polymorfa.com/graph/whatsapp/v26.0/<phoneNumberId>/verify_code" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d 'null'null